import { Component, Input, OnChanges } from '@angular/core';
import * as _ from 'lodash';
import { DataTableService } from '../services/datatable.service';

@Component({
    selector: 'mfBootstrapPaginator',
    templateUrl: './bootstrapdatapaginator.component.html'
})
export class BootstrapDataTablePaginator implements OnChanges {
    @Input("rowsOnPageSet") rowsOnPageSet = [];
    @Input("mfTable") mfTable: DataTableService;

    minRowsOnPage = 0;

    ngOnChanges(changes: any): any {
        if (changes.rowsOnPageSet) {
            this.minRowsOnPage = _.min(this.rowsOnPageSet)
        }
    }
}